Subject: I think I figured out the another bug which manifests itself when low_latency is set to 0

From: Denis Joseph Barrow <[email-masked]>
Date: Tue, 13 Jan 2009 11:07:00 +0100

Hi Alan,
Admittedly there always was a bug when tty_insert_flip_string runs out of memory when low_latency is set to 0,

After your change I now
need a callback when tty_insert_flip_string has room for more data & I currently I don't get one,
This is needed to execute the code in hso_unthrottle_tasklet i.e. I do flow control by not submitting
read urbs to the modem when TTY_THROTTLED is set. The only way I can see for getting this callback without modifying the tty layer
is setting the TTY_THROTTLED bit if tty_insert_flip_string returns 0, I hope this works.

I'm personally a bit frightened that we may have more bugs/problems that will manifest by setting low_latency to 0,
especially for the guys here running diagnostics over the serial port requiring very high throughput.

-- 
best regards,
D.J. Barrow

Linux Kernel Developer
Option NV, Gaston Geenslaan 14, 3001 Leuven, Belgium
 
T: +32 16 311 621
F: +32 16 207 164
[email-masked]
www.option.com

Disclaimer:
http://www.option.com/company/disclaimer.shtml